#pragma once

typedef unsigned char byte;
typedef unsigned word;
#define NOINIT __attribute__((section(".noinit")))
#define UNUSED __attribute__((unused))
#define elemof(x) (sizeof(x)/sizeof(*(x)))

void delay_ms(unsigned);	// in case of USB is running, wait for SOFs

namespace usb{
 void init();		// initialize everything
 byte configured();	// is the USB port configured
 bool txchar(char c);	// transmit a character
 void flush_output();	// immediately transmit any buffered output
}
